﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using AoTu.ZhuHe;

namespace AoTu.ZhuHeDemo
{
    public partial class FrmDemo : Form
    {
        public FrmDemo()
        {
            InitializeComponent();
        }

        private void FrmDemo_Load(object sender, EventArgs e)
        {
            string svn = "0b1de737-cea695ab-fc505423-bdd5f3db ";
            bool ret = ZhuHeNum.Initia(svn);
            if (!ret)
                MessageBox.Show("注册失败！");
        }

        private void btnNot2_Click(object sender, EventArgs e)
        {
            string str = txtnot.Text;
            List<string> list = ZhuHeNum.NumNoRepeAssembly(str, 2);
            if (list == null)
            {
                MessageBox.Show("注册失败！");
                return;
            }
            list.Sort();
            StringBuilder sbBuilder = new StringBuilder();

            foreach (string s in list)
            {
                sbBuilder.Append(s);
                sbBuilder.Append("\r\n");
            }
            txtShow.Clear();
            txtShow.Text = sbBuilder.ToString();
            lbCount.Text = list.Count.ToString();
        }

        private void btnNot3_Click(object sender, EventArgs e)
        {
            string str = txtnot.Text;
            List<string> list = ZhuHeNum.NumNoRepeAssembly(str, 3);
            if (list == null)
            {
                MessageBox.Show("注册失败！");
                return;
            }
            list.Sort();
            StringBuilder sbBuilder = new StringBuilder();

            foreach (string s in list)
            {
                sbBuilder.Append(s);
                sbBuilder.Append("\r\n");
            }
            txtShow.Clear();
            txtShow.Text = sbBuilder.ToString();
            lbCount.Text = list.Count.ToString();
        }

        private void btnAll2_Click(object sender, EventArgs e)
        {
            string str = txtAll.Text;
            List<string> list = ZhuHeNum.NumGroupAssembly(str, 2);
            if (list == null)
            {
                MessageBox.Show("注册失败！");
                return;
            }
            list.Sort();
            StringBuilder sbBuilder = new StringBuilder();

            foreach (string s in list)
            {
                sbBuilder.Append(s);
                sbBuilder.Append("\r\n");
            }
            txtShow.Clear();
            txtShow.Text = sbBuilder.ToString();
            lbCount.Text = list.Count.ToString();
        }

        private void btnAll3_Click(object sender, EventArgs e)
        {
            string str = txtAll.Text;
            List<string> list = ZhuHeNum.NumGroupAssembly(str, 3);
            if (list == null)
            {
                MessageBox.Show("注册失败！");
                return;
            }
            list.Sort();
            StringBuilder sbBuilder = new StringBuilder();

            foreach (string s in list)
            {
                sbBuilder.Append(s);
                sbBuilder.Append("\r\n");
            }
            txtShow.Clear();
            txtShow.Text = sbBuilder.ToString();
            lbCount.Text = list.Count.ToString();
        }
    }
}
